#ifndef __CH56X_IAP_H__
#define __CH56X_IAP_H__
#define        Uart_Sync_Head1      0x57
#define        Uart_Sync_Head2      0xab
/*ΪIAP*/
#define        CMD_IAP_PROM         0x80        // ISP
#define        CMD_IAP_ERASE        0x81        // ISP
#define        CMD_IAP_VERIFY       0x82        // ISPУ
#define        CMD_IAP_END          0x83        // ISP־
#define        CMD_IAP_SUCCESS      0x84        // ISP success flag
/********************************************************************************/
/*
  ʽ˵:
 1, CMD_IAP_END(IAP־):
    ʽ:
        CMD_IAP_END+1ֽݳ+2ֽ״̬.
    :
        
 2, CMD_IAP_VERIFY(IAPУ):
     ʽ:
         CMD_IAP_VERIFY+1ֽݳ+2ֽݵַ+.
    :
        ȷ:0x0000
        :0x0001
 3, CMD_IAP_PROM(IAP):
     ʽ:
         CMD_IAP_PROM+1ֽݳ+2ֽݵַ+.עݸΪ4ֽڵ
     :
        ȷ:0x0000
        :0x0001
 4, CMD_IAP_ERASE(IAP):
     ʽ:
        CMD_IAP_ERASE+1ֽݳ+2ֽڿʼַһΪ0x0000ֻҪһ
    :
        ȷ:0x0000
        :0x0001
*/
#define     IAP_LEN            64
/* IAPسṹ */

typedef struct miap_cmd_erase
{
    UINT8    cmd;                   /*  0x81 */
    UINT8    len;                   /* ݳ */
    UINT8    addr[4];               /* ַ */
} miap_cmd_erase ,*pmiap_cmd_erase;

typedef struct miap_cmd_end
{
    UINT8    cmd;                   /*  0x83 */
    UINT8    len;                   /* ݳ */
    UINT8    status[2];             /* ֽ״̬ */

} miap_cmd_end ,*pmiap_cmd_end;

typedef struct miap_cmd_verify
{
    UINT8    cmd;                   /*  0x82 */
    UINT8    len;                   /* ݳ */
    UINT8    addr[4];               /* Уַ */
    UINT8    buf[IAP_LEN-6];    /* У */
} miap_cmd_verify ,*pmiap_cmd_verify;

typedef struct miap_cmd_program
{
    UINT8    cmd;                   /*  0x80 */
    UINT8    len;                   /* ݳ */
    UINT8    addr[4];               /* ַ */
    UINT8    buf[IAP_LEN-6];        /*  */
} miap_cmd_program ,*pmiap_cmd_program;

typedef struct miap_cmd_other
{
    UINT8    buf[IAP_LEN];          /* ݰ*/
} miap_cmd_other ,*pmiap_cmd_other;

#endif
